Operaciones API

Endpoints para operaciones

Mostrar operacion

GET /internal/admin/operations/:operation_id

Retorna informacion sobre una operacion en especifico.

Request

Headers

Content-Type: application/json
Authorization: Bearer <token>
Host: example.org
Cookie: 

Route

GET /internal/admin/operations/10

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json; charset=utf-8
ETag: W/"1f57d30f554e9cea601b3607104d4c6e"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 53f7e383-024f-48a2-9119-9e1b9b28d683
X-Runtime: 0.037485
Vary: Origin
Content-Length: 835

Status

200 OK

Body

{
  "data": {
    "id": 10,
    "status": "request",
    "currency_in": "usd",
    "amount_in": "5513.09",
    "currency_out": "doc",
    "amount_out": "7327.97",
    "comment": null,
    "tx_hash": null,
    "url_voucher_image": null,
    "created_at": "2023-03-30T00:51:14.451Z",
    "client": {
      "id": 8,
      "first_name": "Stanford",
      "last_name": "Conn",
      "nationality": "Sierra Leoneans",
      "gender": "Female",
      "marital_status": "single",
      "politically_exposed": false,
      "birthday": "1971-03-08",
      "client_id": 10047,
      "created_at": "2023-03-30T00:51:14.434Z",
      "updated_at": "2023-03-30T00:51:14.434Z",
      "document_type": "dni",
      "document_number": "73-1273821",
      "state": "pending"
    },
    "merchant": {
      "id": 10046,
      "name": "Rau LLC"
    },
    "type": "cash-in",
    "commission": {
      "percentage": 0.5
    },
    "updated_at": "2023-03-30T00:51:14.451Z",
    "payment_method": {
      "type": "wallet",
      "data": [

      ]
    },
    "reference_2": null,
    "metadata": {
      "network_in": "tron"
    },
    "kyc": false,
    "payment_data": null
  }
}